#Mage Tower Stairs (down)
from eventAPI import showPicture, tickGame, setExit
from APIUtils import poseYesNo

def fireEvent(e):
    showPicture(e, "Blue_Vortex")
    if (poseYesNo(e,
        ["There is a BLUE portal here.",
         "Do you step into it?"])):
        tickGame(e, 10)
        setExit(e, "maps/mage1.cfg", 4, 3, 0)
    return 0
